<?php

namespace Bixo\Database\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class CallTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_database_calls')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.database.call.view',
                'name'      => 'View Call',
            ],
            [
                'slug'      => 'bixo.database.call.create',
                'name'      => 'Create Call',
            ],
            [
                'slug'      => 'bixo.database.call.edit',
                'name'      => 'Update Call',
            ],
            [
                'slug'      => 'bixo.database.call.delete',
                'name'      => 'Delete Call',
            ],
            
                        [
                'slug'      => 'bixo.database.call.verify',
                'name'      => 'Verify Call',
            ],
            [
                'slug'      => 'bixo.database.call.approve',
                'name'      => 'Approve Call',
            ],
            [
                'slug'      => 'bixo.database.call.publish',
                'name'      => 'Publish Call',
            ],
            [
                'slug'      => 'bixo.database.call.unpublish',
                'name'      => 'Unpublish Call',
            ],
            [
                'slug'      => 'bixo.database.call.cancel',
                'name'      => 'Cancel Call',
            ],
            [
                'slug'      => 'bixo.database.call.archive',
                'name'      => 'Archive Call',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/database/call',
                'name'        => 'Call',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/database/call',
                'name'        => 'Call',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'call',
                'name'        => 'Call',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Database',
                'module'    => 'Call',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.database.call.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
