<?php

namespace Bixo\Database\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class OwnerTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_database_owners')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.database.owner.view',
                'name'      => 'View Owner',
            ],
            [
                'slug'      => 'bixo.database.owner.create',
                'name'      => 'Create Owner',
            ],
            [
                'slug'      => 'bixo.database.owner.edit',
                'name'      => 'Update Owner',
            ],
            [
                'slug'      => 'bixo.database.owner.delete',
                'name'      => 'Delete Owner',
            ],
            
                        [
                'slug'      => 'bixo.database.owner.verify',
                'name'      => 'Verify Owner',
            ],
            [
                'slug'      => 'bixo.database.owner.approve',
                'name'      => 'Approve Owner',
            ],
            [
                'slug'      => 'bixo.database.owner.publish',
                'name'      => 'Publish Owner',
            ],
            [
                'slug'      => 'bixo.database.owner.unpublish',
                'name'      => 'Unpublish Owner',
            ],
            [
                'slug'      => 'bixo.database.owner.cancel',
                'name'      => 'Cancel Owner',
            ],
            [
                'slug'      => 'bixo.database.owner.archive',
                'name'      => 'Archive Owner',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/database/owner',
                'name'        => 'Owner',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/database/owner',
                'name'        => 'Owner',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'owner',
                'name'        => 'Owner',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Database',
                'module'    => 'Owner',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.database.owner.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
