<?php

namespace Bixo\Database\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class UploadTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_database_uploads')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.database.upload.view',
                'name'      => 'View Upload',
            ],
            [
                'slug'      => 'bixo.database.upload.create',
                'name'      => 'Create Upload',
            ],
            [
                'slug'      => 'bixo.database.upload.edit',
                'name'      => 'Update Upload',
            ],
            [
                'slug'      => 'bixo.database.upload.delete',
                'name'      => 'Delete Upload',
            ],
            
                        [
                'slug'      => 'bixo.database.upload.verify',
                'name'      => 'Verify Upload',
            ],
            [
                'slug'      => 'bixo.database.upload.approve',
                'name'      => 'Approve Upload',
            ],
            [
                'slug'      => 'bixo.database.upload.publish',
                'name'      => 'Publish Upload',
            ],
            [
                'slug'      => 'bixo.database.upload.unpublish',
                'name'      => 'Unpublish Upload',
            ],
            [
                'slug'      => 'bixo.database.upload.cancel',
                'name'      => 'Cancel Upload',
            ],
            [
                'slug'      => 'bixo.database.upload.archive',
                'name'      => 'Archive Upload',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/database/upload',
                'name'        => 'Upload',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/database/upload',
                'name'        => 'Upload',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'upload',
                'name'        => 'Upload',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Database',
                'module'    => 'Upload',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.database.upload.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
