<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for call in database package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  call module in database package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Call',
    'names' => 'Calls',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Calls',
        'sub' => 'Calls'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'ref'                        => 'Please enter ref',
        'owner_id'                   => 'Please enter owner id',
        'assigned_at'                => 'Please select assigned at',
        'agent_id'                   => 'Please enter agent id',
        'contacted_at'               => 'Please select contacted at',
        'category_id'                => 'Please enter category id',
        'city_id'                    => 'Please enter city id',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'property_id'                => 'Please enter property id',
        'building_no'                => 'Please enter building no',
        'customer_type'              => 'Please enter customer type',
        'status'                     => 'Please enter status',
        'color'                      => 'Please enter color',
        'unit'                       => 'Please enter unit',
        'plot'                       => 'Please enter plot',
        'name'                       => 'Please enter name',
        'mobile'                     => 'Please enter mobile',
        'phone'                      => 'Please enter phone',
        'email'                      => 'Please enter email',
        'notes'                      => 'Please enter notes',
        'created_by'                 => 'Please enter created by',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'ref'                        => 'Ref',
        'owner_id'                   => 'Owner id',
        'assigned_at'                => 'Assigned at',
        'agent_id'                   => 'Agent id',
        'contacted_at'               => 'Contacted at',
        'category_id'                => 'Category id',
        'city_id'                    => 'City id',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'property_id'                => 'Property id',
        'building_no'                => 'Building no',
        'customer_type'              => 'Customer type',
        'status'                     => 'Status',
        'color'                      => 'Color',
        'unit'                       => 'Unit',
        'plot'                       => 'Plot',
        'name'                       => 'Name',
        'mobile'                     => 'Mobile',
        'phone'                      => 'Phone',
        'email'                      => 'Email',
        'notes'                      => 'Notes',
        'created_by'                 => 'Created by',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
