<?php

// Routes for database.

// Guard routes for call
Route::prefix('{guard}/database')->group(function () {

    Route::get('call/report/{report}', 'CallReportController');
    Route::patch('call/actions/{action}', 'CallActionsController');
    Route::patch('call/action/{call}/{action}', 'CallActionController');
    Route::patch('call/workflow/{call}/{transition}', 'CallWorkflowController');
    Route::resource('call', 'CallResourceController');
});

// Guard routes for owner
Route::prefix('{guard}/database')->group(function () {

    Route::get('owner/report/{report}', 'OwnerReportController');
    Route::patch('owner/actions/{action}', 'OwnerActionsController');
    Route::patch('owner/action/{owner}/{action}', 'OwnerActionController');
    Route::patch('owner/workflow/{owner}/{transition}', 'OwnerWorkflowController');
    Route::resource('owner', 'OwnerResourceController');
});

// Guard routes for upload
Route::prefix('{guard}/database')->group(function () {

    Route::get('upload/report/{report}', 'UploadReportController');
    Route::patch('upload/actions/{action}', 'UploadActionsController');
    Route::patch('upload/action/{upload}/{action}', 'UploadActionController');
    Route::patch('upload/workflow/{upload}/{transition}', 'UploadWorkflowController');
    Route::resource('upload', 'UploadResourceController');
});



// Public routes for database
Route::get('databases/', 'DatabasePublicController@index');
Route::get('database/{slug?}', 'DatabasePublicController@show');
