<?php

// Web routes  for database.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for call

Route::prefix('{guard}/call')->group(function () {

    Route::get('/workflow/{call}/{user}', 'CallWorkflowController@get')
        ->name('bixo.database.workflow');
    Route::post('/workflow/{call}/{user}', 'CallWorkflowController@post');

    Route::get('/action/{call}/{user}', 'CallActionController@get')
        ->name('bixo.database.action');
    Route::post('/action/{call}/{user}', 'CallActionController@post');

});


// Workflow routes for owner

Route::prefix('{guard}/owner')->group(function () {

    Route::get('/workflow/{owner}/{user}', 'OwnerWorkflowController@get')
        ->name('bixo.database.workflow');
    Route::post('/workflow/{owner}/{user}', 'OwnerWorkflowController@post');

    Route::get('/action/{owner}/{user}', 'OwnerActionController@get')
        ->name('bixo.database.action');
    Route::post('/action/{owner}/{user}', 'OwnerActionController@post');

});


// Workflow routes for upload

Route::prefix('{guard}/upload')->group(function () {

    Route::get('/workflow/{upload}/{user}', 'UploadWorkflowController@get')
        ->name('bixo.database.workflow');
    Route::post('/workflow/{upload}/{user}', 'UploadWorkflowController@post');

    Route::get('/action/{upload}/{user}', 'UploadActionController@get')
        ->name('bixo.database.action');
    Route::post('/action/{upload}/{user}', 'UploadActionController@post');

});

