<?php

namespace Bixo\Database\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Database\Models\Call;


class CallAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.database.call';
    protected $eventClass = \Bixo\Database\Events\CallAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Call $call, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $call;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Call $call, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $call = $call->create($attributes);
        return $call;
    }

    public function update(Call $call, array $request)
    {
        $attributes = $request;
        $call->update($attributes);
        return $call;
    }

    public function destroy(Call $call, array $request)
    {
        $call->delete();
        return $call;
    }

    public function copy(Call $call, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $call = $call->replicate();
            $call->created_at = Carbon::now();
            $call->save();
            return $call;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $call->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $call;
    }


}
