<?php

namespace Bixo\Database\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Database\Models\Owner;


class OwnerAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.database.owner';
    protected $eventClass = \Bixo\Database\Events\OwnerAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Owner $owner, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $owner;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Owner $owner, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $owner = $owner->create($attributes);
        return $owner;
    }

    public function update(Owner $owner, array $request)
    {
        $attributes = $request;
        $owner->update($attributes);
        return $owner;
    }

    public function destroy(Owner $owner, array $request)
    {
        $owner->delete();
        return $owner;
    }

    public function copy(Owner $owner, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $owner = $owner->replicate();
            $owner->created_at = Carbon::now();
            $owner->save();
            return $owner;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $owner->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $owner;
    }


}
