<?php

namespace Bixo\Database\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Database\Models\Upload;


class UploadAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.database.upload';
    protected $eventClass = \Bixo\Database\Events\UploadAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Upload $upload, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $upload;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Upload $upload, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $upload = $upload->create($attributes);
        return $upload;
    }

    public function update(Upload $upload, array $request)
    {
        $attributes = $request;
        $upload->update($attributes);
        return $upload;
    }

    public function destroy(Upload $upload, array $request)
    {
        $upload->delete();
        return $upload;
    }

    public function copy(Upload $upload, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $upload = $upload->replicate();
            $upload->created_at = Carbon::now();
            $upload->save();
            return $upload;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $upload->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $upload;
    }


}
