<?php

namespace Bixo\Database\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Database\Http\Requests\OwnerActionsRequest;
use Bixo\Database\Actions\OwnerActions;

/**
 * Admin web controller class.
 */
class OwnerActionsController extends BaseController
{

    /**
     * Action controller function for owner.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(OwnerActionsRequest $request, $action)
    {
        try {
            $owner = OwnerActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('database::owner.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('database/owner/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('database/owner/' . $action))
                ->redirect();
        }
    }
}
