<?php

namespace Bixo\Database\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Database\Actions\OwnerReport;
use Bixo\Database\Http\Requests\OwnerReportRequest;

/**
 * Admin web controller class.
 */
class OwnerReportController extends BaseController
{
    /**
     * Action controller function for owner.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(OwnerReportRequest $request, $report)
    {
        try {
        
            $this->model = app(Owner::class);
            $data = OwnerReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('database::owner.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('database/owner/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('database/owner/' . $report))
                ->redirect();
        }
    }
}
