<?php

namespace Bixo\Database\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Database\Http\Requests\UploadActionsRequest;
use Bixo\Database\Actions\UploadActions;

/**
 * Admin web controller class.
 */
class UploadActionsController extends BaseController
{

    /**
     * Action controller function for upload.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(UploadActionsRequest $request, $action)
    {
        try {
            $upload = UploadActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('database::upload.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('database/upload/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('database/upload/' . $action))
                ->redirect();
        }
    }
}
