<?php

namespace Bixo\Database\Policies;

use Bixo\Database\Models\Call;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait CallAction
{

    /**
     * Determine if the given user can copy the given call.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Call $call)
    {

        if ($authUser->canDo('database.call.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given call.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Call $call) {

        if ($authUser->canDo('database.call.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given call.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Call $call)
    {

        if ($authUser->canDo('database.call.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
