<?php


namespace Bixo\Database\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait CallReport
{

    /**
     * Determine if the given user can approve the given call.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('database.call.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given call.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('database.call.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given call.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('database.call.report.download')) {
            return true;
        }

        return false;
    }
}
