<?php

namespace Bixo\Database\Policies;

use Bixo\Database\Models\Call;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait CallWorkflow
{

    /**
     * Determine if the given user can approve the given call.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, Call $call)
    {
        if ($user->canDo('database.call.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given call.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, Call $call)
    {
        if ($user->canDo('database.call.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given call.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, Call $call)
    {
        if ($user->canDo('database.call.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given call.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, Call $call)
    {
        if ($user->canDo('database.call.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given call.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, Call $call)
    {
        if ($user->canDo('database.call.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given call.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, Call $call)
    {
        if ($user->canDo('database.call.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given call.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, Call $call)
    {
        if ($user->canDo('database.call.reject')) {
            return true;
        }

        return false;
    }

}
