<?php

namespace Bixo\Database\Policies;

use Bixo\Database\Models\Owner;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait OwnerAction
{

    /**
     * Determine if the given user can copy the given owner.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Owner $owner)
    {

        if ($authUser->canDo('database.owner.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given owner.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Owner $owner) {

        if ($authUser->canDo('database.owner.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given owner.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Owner $owner)
    {

        if ($authUser->canDo('database.owner.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
