<?php


namespace Bixo\Database\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait OwnerReport
{

    /**
     * Determine if the given user can approve the given owner.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('database.owner.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given owner.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('database.owner.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given owner.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('database.owner.report.download')) {
            return true;
        }

        return false;
    }
}
