<?php

namespace Bixo\Database\Policies;

use Bixo\Database\Models\Upload;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait UploadAction
{

    /**
     * Determine if the given user can copy the given upload.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Upload $upload)
    {

        if ($authUser->canDo('database.upload.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given upload.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Upload $upload) {

        if ($authUser->canDo('database.upload.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given upload.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Upload $upload)
    {

        if ($authUser->canDo('database.upload.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
