<?php


namespace Bixo\Database\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait UploadReport
{

    /**
     * Determine if the given user can approve the given upload.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('database.upload.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given upload.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('database.upload.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given upload.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('database.upload.report.download')) {
            return true;
        }

        return false;
    }
}
