<?php

namespace Bixo\Database\Policies;

use Bixo\Database\Models\Upload;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait UploadWorkflow
{

    /**
     * Determine if the given user can approve the given upload.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, Upload $upload)
    {
        if ($user->canDo('database.upload.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given upload.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, Upload $upload)
    {
        if ($user->canDo('database.upload.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given upload.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, Upload $upload)
    {
        if ($user->canDo('database.upload.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given upload.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, Upload $upload)
    {
        if ($user->canDo('database.upload.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given upload.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, Upload $upload)
    {
        if ($user->canDo('database.upload.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given upload.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, Upload $upload)
    {
        if ($user->canDo('database.upload.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given upload.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, Upload $upload)
    {
        if ($user->canDo('database.upload.reject')) {
            return true;
        }

        return false;
    }

}
