<?php

namespace Bixo\Database\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Call policy
        \Bixo\Database\Models\Call::class 
        => \Bixo\Database\Policies\CallPolicy::class,// Bind Owner policy
        \Bixo\Database\Models\Owner::class 
        => \Bixo\Database\Policies\OwnerPolicy::class,// Bind Upload policy
        \Bixo\Database\Models\Upload::class 
        => \Bixo\Database\Policies\UploadPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
